/*
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * You may not modify, use, reproduce, or distribute this
 * software except in compliance with the terms of the License at:
 *
 *   http://developer.sun.com/berkeley_license.html
 *
 * $Id: PoweredByCreatorTag.java,v 1.1 2006/08/26 04:03:07 mb151649 Exp $
 */

package com.sun.rave.poweredby.creator;

import com.sun.rave.poweredby.util.AbstractUIComponentTag;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;

import javax.faces.el.ValueBinding;
import javax.faces.el.MethodBinding;
import javax.faces.webapp.UIComponentTag;


/**
 * <p><strong>PoweredByCreatorTag</strong> is the tag handler that processes the
 * <code>poweredByCreator</code> custom tag.</p>
 */

public class PoweredByCreatorTag extends AbstractUIComponentTag {
    
    /**
     * <p>Return the type of the component.
     */
    public String getComponentType() {
        return ("com.sun.rave.poweredby.creator.PoweredByCreator"); //NOI18N
    }
    
    
    /**
     * <p>Return the renderer type (if any)
     */
    public String getRendererType() {
        return ("com.sun.rave.poweredby.PoweredByRenderer"); //NOI18N
    }
    
    /**
     * <p>Release any resources used by this tag handler
     */
    public void release() {
        super.release();
        this.tall = null;
        this.rounded = null;
    }
    
    /**
     * <p>Set the component properties
     */
    protected void setProperties(UIComponent component) {
        super.setProperties(component);
        configureBoolean(component, "tall", tall);    //NOI18N
        configureBoolean(component, "rounded", rounded);  //NOI18N
    }
    

    private String tall;
    public void setTall(String tall) {
        this.tall = tall;
    }
    
    private String rounded;
    public void setRounded(String rounded) {
        this.rounded = rounded;
    }
}
